# Class JSOFA.CatalogCoords

java.lang.Object
org.jastronomy.jsofa.JSOFA.CatalogCoords

Enclosing class:
  `JSOFA`

public static class JSOFA.CatalogCoords extends Object
Typical catalogue coordinates. i.e. Position, proper motion, parallax and radial velocity.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`JSOFA.SphericalCoordinate`
`pm`
proper motion (radians/year)
`JSOFA.SphericalCoordinate`
`pos`
position (radians)
`double`
`px`
parallax (arcsec)
`double`
`rv`
radial velocity (km/s, positive = receding)

## Constructor Summary

Constructors
Constructor
Description
`CatalogCoords(double ra, double dec, double pmr, double pmd, double px, double rv)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pos

public JSOFA.SphericalCoordinate pos
position (radians)

### pm

public JSOFA.SphericalCoordinate pm
proper motion (radians/year)

### px

public double px
parallax (arcsec)

### rv

public double rv
radial velocity (km/s, positive = receding)

## Constructor Details

### CatalogCoords

public CatalogCoords(double ra, double dec, double pmr, double pmd, double px, double rv)